Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Wie erweitere ich eine Selektierung

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Wie erweitere ich eine Selektierung (1049 mal gelesen)
Th-Schultz
Mitglied



Sehen Sie sich das Profil von Th-Schultz an!   Senden Sie eine Private Message an Th-Schultz  Schreiben Sie einen Gästebucheintrag für Th-Schultz

Beiträge: 18
Registriert: 11.07.2012

AutoCAD 2008
AutoCAD Lt 2009

erstellt am: 19. Jul. 2012 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,
bin ein wenig raus aus Lisp.
Hälft mir mal bitte auf die Sprünge.
Ich habe folgende funktionierende Selektierung:

Zitat:
  (if
(setq ausw
(ssget "X" '((0 . "TEXT")))
)
      (command "ändern" ausw "" "ei" "la" "025T" "")
  )

Mit dieser Auswahl und dem Kommand wird jeder Text auf
den vorgegebenen Layer gesetzt. Wie kann ich zu der
Selektierung Text jetzt noch die Höhe mit auswählen,
so das ich jeder Höhe ihren richtigen Layer zuordnen kann.

Am besten noch von x bis y mm = Layer A

Vielen Dank
Tom

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 19. Jul. 2012 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Th-Schultz 10 Unities + Antwort hilfreich

Hallo Tom

sieh Dir mal das hier an, das sollte Dir weiterhelfen. Der GC für die Texthöhe ist übrigends auch die 40.

HTH
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Th-Schultz
Mitglied



Sehen Sie sich das Profil von Th-Schultz an!   Senden Sie eine Private Message an Th-Schultz  Schreiben Sie einen Gästebucheintrag für Th-Schultz

Beiträge: 18
Registriert: 11.07.2012

AutoCAD 2008
AutoCAD Lt 2009

erstellt am: 20. Jul. 2012 07:22    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo und erst einmal vielen Dank für deine Nachricht
(auch wenn es etwas spät ist), leider habe ich nicht
immer unmittelbar Zeit die Tipps zu testen.

Leider hab ich bei der Umsetzung noch ein paar Probleme.
Vielleicht kannst du noch einmal drüber schauen, wo das
Problem sein könnte. Geladen wird die Lisp einwandfrei
und läuft ohne sichtbaren Fehler durch.
Es ändert sich nur nix....

Zitat:
(defun c:Test()


  (if
(ssget "X"  (list (cons -4 "<and") (cons 0 "Text") (cons -4 "<or")
        (cons 40 1.5) (cons 40 1.9) (cons -4 "or>") (cons -4 "and>")
)
)
      (command "ändern" ausw "" "ei" "la" "018T" "")
  )


  (if
(ssget "X"  (list (cons -4 "<and") (cons 0 "Text") (cons -4 "<or")
        (cons 40 2.0) (cons 40 3.1) (cons -4 "or>") (cons -4 "and>")
)
)
      (command "ändern" ausw "" "ei" "la" "025T" "")
  )


  (if
(ssget "X"  (list (cons -4 "<and") (cons 0 "Text") (cons -4 "<or")
        (cons 40 3.1) (cons 40 4.2) (cons -4 "or>") (cons -4 "and>")
)
)
      (command "ändern" ausw "" "ei" "la" "035T" "")
  )

  (princ)
)


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 20. Jul. 2012 07:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Th-Schultz 10 Unities + Antwort hilfreich

Du solltest den Rückgabewert von SSGET auch der Variable ausw zuweisen, sonst ist ausw immer nil.

Code:
(if (SETQ ausw (ssget "X"  (list (cons -4 "<and") (cons 0 "Text") (cons -4 "<or")...

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Th-Schultz
Mitglied



Sehen Sie sich das Profil von Th-Schultz an!   Senden Sie eine Private Message an Th-Schultz  Schreiben Sie einen Gästebucheintrag für Th-Schultz

Beiträge: 18
Registriert: 11.07.2012

AutoCAD 2008
AutoCAD Lt 2009

erstellt am: 20. Jul. 2012 08:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

vielen Dank für deine Antwort, bin jetzt auch schon mal soweit das sich was tut...

Allerdings passiert jetzt folgendes: Es wird nur ein Text innerhalb eines Blockes geändert.
andere Texte in der Zeichnungen bleiben unberührt. UND!!!  Es wurde auch nur Text in 1.8 im Block
geändert. Andere, die 2.5mm hoch sind haben sich nicht geändert.

Zitat:
  (if
(setq ausw
(ssget "X"  (list (cons 0 "*Text")
  (cons -4 "<=") (cons 40 3.1)
    )
)
)
      (command "ändern" ausw "" "ei" "la" "035T" "")
  )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 982
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 20. Jul. 2012 08:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Th-Schultz 10 Unities + Antwort hilfreich

Hallo Tom,

kannst Du Deine Zeichnung (zumindest ein paar relevante Texte) und Deinen aktuellen Stand des Lisp hier hochladen, dann kann man sich das mal genauer ansehen. Ansonsten bleibt alles ein bisschen Glaskugelreiben.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Th-Schultz
Mitglied



Sehen Sie sich das Profil von Th-Schultz an!   Senden Sie eine Private Message an Th-Schultz  Schreiben Sie einen Gästebucheintrag für Th-Schultz

Beiträge: 18
Registriert: 11.07.2012

AutoCAD 2008
AutoCAD Lt 2009

erstellt am: 20. Jul. 2012 10:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


TextTest.dwg

 
Hat sich gerade erledigt, hab den Fehler gefunden.
Die Textfarben standen nicht auf VonLayer :-)

Trotzdem danke für die Hilfe

[Diese Nachricht wurde von Th-Schultz am 20. Jul. 2012 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz